
User Interface - Feature #3762

misc UI features

10/21/2018 03:13 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #3811: more misc UI features Closed

History

#1 - 10/21/2018 03:15 PM - Greg Shah

Attributes

MENU:TOGGLE-BOX

EDITOR:LARGE

COMBO-BOX:AUTO-COMPLETION

Methods

BROWSE:CREATE-RESULT-LIST-ENTRY

COMBO-BOX:EDIT-UNDO

#2 - 11/25/2018 09:23 AM - Greg Shah

- Related to Feature #3811: more misc UI features added

#3 - 12/04/2018 03:00 PM - Constantin Asofiei

Conversion issues for AUTO-COMPLETION attribute and EDIT-UNDO method are solved in 3750a rev 11298.

#4 - 12/04/2018 03:01 PM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei

#5 - 12/04/2018 03:04 PM - Greg Shah

Are all the other attributes/methods already supported at conversion time?

#6 - 12/04/2018 03:05 PM - Constantin Asofiei

Greg Shah wrote:

Are all the other attributes/methods already supported at conversion time?
Yes, I've checked them.

#7 - 12/04/2018 03:14 PM - Constantin Asofiei

Other notes:

TOGGLE-BOX is fully supported - fixed gaps in 11299.

EDITOR:LARGE - this is just to mark that an EDITOR can display a LONGCHAR value - FWD can handle this automatically, nothing specific is

required.  I think the gaps should be changed to rt_full.

#8 - 12/04/2018 03:22 PM - Greg Shah

FWD can handle this automatically, nothing specific is required. I think the gaps should be changed to rt_full.

 

Please go ahead with this.  Also: the runtime code should have comments to mention that no actual backing runtime is needed because the feature is

implicitly supported in FWD.

#9 - 12/04/2018 04:13 PM - Constantin Asofiei

3750a rev 11300 fixes EDITOR:LARGE attribute runtime (get/set support) and gaps.

#10 - 02/13/2019 01:29 PM - Stanislav Lomany

I'll be working on BROWSE:CREATE-RESULT-LIST-ENTRY while AWS is not accessible.

#11 - 02/14/2019 03:41 PM - Stanislav Lomany

FYI, we miss implementation of QUERY:CREATE-RESULT-LIST-ENTRY, so it should be implemented for all types of queries in order to implement

BROWSE:CREATE-RESULT-LIST-ENTRY.

#12 - 02/14/2019 03:43 PM - Greg Shah

Stanislav Lomany wrote:

FYI, we miss implementation of QUERY:CREATE-RESULT-LIST-ENTRY, so it should be implemented for all types of queries in order to

implement BROWSE:CREATE-RESULT-LIST-ENTRY.

 

Agreed.  These must be implemented at the same time.

05/19/2024 2/4



#13 - 02/14/2019 03:45 PM - Greg Shah

I've been wondering if the core of the implementation is the idea that the query is closed and reopened such that there is a new result list.

#14 - 02/18/2019 01:04 PM - Stanislav Lomany

I've been wondering if the core of the implementation is the idea that the query is closed and reopened such that there is a new result list.

 

Unfortunately it's not the case. The new entry contains ids of the current records contained in the query's backing buffers. It can be arbitrary records

not matching the original query sorting. "No record" is also a valid entry.

Note that I'm not going to implement CREATE-RESULT-LIST-ENTRY for non-scrolling queries because it seems to be inpractical: what is the sense

of adding an entry if you cannot get back to it? I guess that underlying implementations for scrolling and non-scrolling queries are similar in 4GL, while

in FWD it may be completely different, so that will save a lot of time.

#15 - 03/11/2019 05:26 PM - Greg Shah

The work for CREATE-RESULT-LIST-ENTRY() is being moved to #3940, which will be worked in the main project.

#16 - 03/18/2019 04:05 PM - Greg Shah

Are there any runtime features in this task which were not finished?

#17 - 03/22/2019 09:04 AM - Greg Shah

Greg Shah wrote:

Are there any runtime features in this task which were not finished?

 

Does anyone know this answer?

#18 - 03/22/2019 09:20 AM - Constantin Asofiei

Greg Shah wrote:

Are there any runtime features in this task which were not finished?

 

All runtime for MENU:TOGGLE-BOX and EDITOR:LARGE is there.  COMBO-BOX:AUTO-COMPLETION and COMBO-BOX:EDIT-UNDO is not

completed.
#19 - 03/22/2019 09:38 AM - Greg Shah

COMBO-BOX:AUTO-COMPLETION and COMBO-BOX:EDIT-UNDO is not completed.

 

Eugenie: Please add these to your work in #3811.

#20 - 04/16/2019 08:46 AM - Greg Shah

- Status changed from WIP to Closed

- % Done changed from 0 to 100

Branch 3811a was merged to trunk as revision 11303.  This finishes the work in this task.
